/*
 * Stylesheet for Draggable and Resizable Dialog Box
 *
 * Designed by ZulNs, @Gorontalo, Indonesia, 7 June 2017
 * Extended by FrankBuchholz, Germany, 2019
 * You can change all colors
 * You can change some of the sizes without expecting issues, see below
*/

.dialog {
	display: none; /* not visible by default */
	font-family: Verdana, sans-serif;
	font-size: 12px;
	font-weight: 400;
	color: #000000;
	background: #ffffff;
	margin: 0;
	position: absolute;
	height: auto !important;
	padding-bottom: 70px;
}
.dialog .titlebar {
	height: 32px; /* same as .dialog>button height */
	line-height: 32px; /* same as .dialog>button height */
	vertical-align: middle;
	font-size: 1.2em;
	padding: 0 8px 0 8px; /* change NOT allowed */
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	cursor: move;
}
.dialog .content {
    font-family: 'Poppins', sans-serif;
	font-size: 12px;   
	height: auto !important; 
	position: relative;
	top: 20px; /* change allowed */
	left: 16px; /* change NOT allowed */
	overflow: auto;
}
.dialog .buttonpane:before {
	width: 100%;
	height: 0;
	border-bottom: 1px solid; /* change allowed */
	content: '';
	position: absolute;
	top: -16px; /* change allowed */
}
.dialog .buttonpane {
	width: 100%;
	position: absolute;
	bottom: 16px; /* change allowed */
	right: 16px; /* change NOT allowed */
	white-space: nowrap; /* keep buttons on one line */
}
.dialog .buttonset {
	float: right;
}
.dialog button {
	-webkit-transition: 0.25s;
	transition: 0.25s;
	color: #fff;
}
.dialog button::-moz-focus-inner {
	border: 0;
}
/* .dialog button.hover, */ /* Let's use standard hover */
.dialog button:hover,
.dialog button.active
{
	cursor: pointer;
}
.dialog>button {
	width: 32px; /* change NOT allowed */
	height: 32px; /* same as .dialog .titlebar height */
	position: absolute;
  top: 5px;
  right: 3px;
  padding: 0;
  border: 0;
  font-size: 18px;
  background: transparent;
  color: #000;
 	outline: 0; 
}
.dialog>button.active {
	background: #f55; /* irrelevant */
	border: 1px solid #ddd; /* irrelevant */
}
.dialog .buttonset button {
	height: 32px; /* change allowed */
	width: 64px; /* change allowed */
	font-size: 1.1em;
	padding: 0; /* irrelevant */
	border: 2px solid #fff; /* change allowed */
	border-radius: 4px; /* change allowed */
	margin-left: 16px; /* change NOT allowed */
	background: #39c
}
.dialog .buttonset button:first-child {
	margin-left: 0;
}
/* .dialog .buttonset button.hover, */
.dialog .buttonset button:hover,
.dialog .buttonset button.focus
{
	box-shadow: inset -32px 0 0 0 #17a, inset 32px 0 0 0 #17a;
}
.dialog .buttonset button.active {
	background: #1a7;
	border-color: #ddd;
}
.dialog .note {
    margin-bottom: 20px;
    border-bottom: 1px solid #eeee;
    padding-bottom: 10px;
}
.dialog .header {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	margin-bottom: 15px;
}
.dialog .note_author {
	font-size: 13px;
	font-weight: 600;
}
.dialog .author_company {
	display: block;
}
.dialog .header .information {
	text-align: right;
}

.dialog .version {
	font-weight: 700;
	margin-top: 3px;
}


.dialog .new_note_form {
    background: #E5E5E5;
    padding: 20px 10px;
}

.new_note_form textarea.form-control {
	font-size: 12px;
	min-height: 80px !important;
}


.dialog .note_html {
	max-height: 500px;
  padding-right: 12px;	
	overflow-y: scroll;
}
/* width */
.dialog .note_html::-webkit-scrollbar {
  width: 5px;
}

/* Track */
.dialog .note_html::-webkit-scrollbar-track {
  background: #f1f1f1; 
  border-radius: 100px;  
}
 
/* Handle */
.dialog .note_html::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 100px;
}

/* Handle on hover */
.dialog .note_html::-webkit-scrollbar-thumb:hover {
  background: #555; 
}

.focus_overlay {
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	position: fixed;
	background: rgba(236,240,240,0.95);
    z-index: 9999;
    display: none;
}

.fadeout .focus_overlay {
	display: blocK;
}
.dialog,
.banner_single.focus {
	z-index: 99999 !important;
}

.dialog form {
	background: #E6E6E6;
	position: relative;
	padding: 15px 10px;
}

.dialog textarea {
	min-height: 80px !important;
}
.dialog .note_html {
	display: block;
}

.dialog form .btn {
  font-size: 9px;
  position: absolute;
  bottom: 20px;
  right: 15px;
  min-width: 45px;
  padding: 3px 15px;  
}